Main Page Widgets Namespaces Book

# gc.h File Reference

## Namespaces

namespace | Gdk
namespace | Glib

## Classes

class | Gdk::GC
| All drawing operations in GDK take a graphics context (GC) argument. More...

## Enumerations

enum | LineStyle { LINE_SOLID, LINE_ON_OFF_DASH, LINE_DOUBLE_DASH }
enum | CapStyle { CAP_NOT_LAST, CAP_BUTT, CAP_ROUND, CAP_PROJECTING }
enum | JoinStyle { JOIN_MITER, JOIN_ROUND, JOIN_BEVEL }
enum | Fill { SOLID, TILED, STIPPLED, OPAQUE_STIPPLED }
enum | Function { COPY, INVERT, XOR, CLEAR, AND, AND_REVERSE, AND_INVERT, NOOP, OR, EQUIV, OR_REVERSE, COPY_INVERT, OR_INVERT, NAND, NOR, SET }
enum | SubwindowMode { CLIP_BY_CHILDREN, INCLUDE_INFERIORS }

enum

GCValuesMask {
GC_FOREGROUND = 1 << 0,
GC_BACKGROUND = 1 << 1,
GC_FONT = 1 << 2,
GC_FUNCTION = 1 << 3,
GC_FILL = 1 << 4,
GC_TILE = 1 << 5,
GC_STIPPLE = 1 << 6,
GC_CLIP_MASK = 1 << 7,
GC_SUBWINDOW = 1 << 8,
GC_TS_X_ORIGIN = 1 << 9,
GC_TS_Y_ORIGIN = 1 << 10,
GC_CLIP_X_ORIGIN = 1 << 11,
GC_CLIP_Y_ORIGIN = 1 << 12,
GC_EXPOSURES = 1 << 13,
GC_LINE_WIDTH = 1 << 14,
GC_LINE_STYLE = 1 << 15,
GC_CAP_STYLE = 1 << 16,
GC_JOIN_STYLE = 1 << 17
}

## Functions

GCValuesMask | operator| (GCValuesMask lhs, GCValuesMask rhs)
GCValuesMask | operator& (GCValuesMask lhs, GCValuesMask rhs)
GCValuesMask | operator^ (GCValuesMask lhs, GCValuesMask rhs)
GCValuesMask | operator~ (GCValuesMask flags)
GCValuesMask& | operator|= (GCValuesMask& lhs, GCValuesMask rhs)
GCValuesMask& | operator&= (GCValuesMask& lhs, GCValuesMask rhs)
GCValuesMask& | operator^= (GCValuesMask& lhs, GCValuesMask rhs)